
TYPO3.Fluid - Feature # 3592

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: ViewHelpers
Created: 2009-06-05 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Subject: Alias view helper for setting template variables
Description

There should be an alias view helper that can set variables in the template.

The following use cases should be supported:

<f:alias value="{foo.bar.baz}" as="x">
{x.name}
</f:alias>
<f:alias map="{x: foo.bar.baz, y: foo.bar.baz.name}">
{x.name} or {y}
</f:alias>

Associated revisions
Revision c2ce91e5 - 2009-06-15 20:13 - Bastian Waidelich

    -  [FEAT] Fluid (ViewHelpers): Added AliasViewHelper, resolves #3592
    -  [TASK] Fluid (Tests): Fixed and extended ForViewHelperTest
    -  [TASK] Fluid (Tests): Tweaked ViewHelperBaseTestcase
    -  [TASK] Fluid (Tests): Fixed some PHP Doc Comments

History
#1 - 2009-06-15 21:02 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2614.

#2 - 2009-07-27 11:32 - Robert Lemke
- Target version set to 1.0.0 alpha 2
